unit uLoad;
////////////////////////////
// версия 0,2
////////////////////////////
// модуль экрана загрузки
// и титров
////////////////////////////

interface

procedure LoadDraw;
procedure LoadInit;
procedure LoadProcess;

procedure AboutDraw;
procedure AboutInit;
procedure AboutProcess;

implementation

uses uGeneralData,OMEGA,uMenu;

var time,timestart:double;

procedure LoadInit;
begin
//экран показывается всего секунду
time:=1;
timestart:=U_GetTime

end;

procedure LoadDraw;
var i1,i2:integer;
begin

for i1:=0 to scrw div 208 do
 for i2:=0 to scrh div 16 do
  res.Spr[res.FindSpr('pausefon')].Draw(i1*208,i2*16,0,1);

end;

procedure LoadProcess;
begin
//и когда секунда пройдёт, переходим в меню
if (trunc(time)-(trunc(U_GetTime-timestart) div 1000) mod 1000)<=0 then
begin
 scene:=sMenu;
 MenuInit;    
end;

end;

procedure AboutInit;
begin

end;

procedure AboutDraw;
begin

end;

procedure AboutProcess;
begin

end;

end.
